跳转到主要内容
GET
查询 Seedance 视频生成任务
使用 Authorization: Bearer <API_KEY> 鉴权。

任务状态

queued 和 running 需继续轮询,其余为终态。建议每 10 秒查询一次。

结果字段

  • content.video_url 是有时效的下载地址,请在过期前转存。过期后再查询不再返回 video_url。
  • content.expireAt 是 video_url 的过期时间(Unix 秒)。
  • created_at、updated_at 为 Unix 秒。
  • usage 为实际用量。
  • priority、safety_identifier 等字段是否返回,取决于创建时是否传入以及任务状态。

生成失败

任务创建后也可能生成失败。此时查询接口返回 HTTP 200,status 为 failed,error 中包含 code、type 和 message。参数或内容审核导致的失败返回对应错误码;服务内部或上游原因导致的失败,code 为 InternalServiceError。

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

task_id
string
必填

创建任务时返回的 id。

示例:

"task_20261020080000abcdef"

响应

任务详情

id
string

任务 ID。

model
string

模型 ID。

status
enum<string>

任务状态。queued、running 为进行中;succeeded、failed、cancelled、expired 为终态。

可用选项:
queued,
running,
succeeded,
failed,
cancelled,
expired
content
object

生成结果,status=succeeded 时返回。

error
object

失败原因,status=failed 时返回。

created_at
integer

创建时间,Unix 秒。

updated_at
integer

更新时间,Unix 秒。

resolution
string

输出分辨率,例如 720p。

ratio
string

画面比例,例如 16:9、1:1。

duration
integer

视频时长(秒)。

generate_audio
boolean

是否生成声音。使用参考音频或参考视频原声时传 true。

framespersecond
integer

帧率。

priority
integer

任务优先级。传入后会在查询结果中回传。

safety_identifier
string

终端用户标识,建议使用不可逆的哈希值。传入后会在查询结果中回传。

usage
object

实际用量。